<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Info o studentima</title>
  </head>
  <body>
    <script type="text/javascript">
    
      function getInfo(url, callback) {
        let request = new XMLHttpRequest();
        request.onreadystatechange = function () {
          if (request.readyState == 4) {
            if (request.status == 200) {
              const data = JSON.parse(request.responseText);
              callback(null, data);
            } else {
              const error = new Error(request.statusText);
              callback(error, null);
            }
          }
        };

        request.open('GET', url);
        request.send();
      }
      getInfo('./students.json', function (error, data) {
        if (error) {
          console.log(error.message);
          return;
        }

        for (const row of data) {
          console.log(row.surname, row.name, row.index);
        }
      });
    </script>
  </body>
</html>
